-- SeeCD spec DB
-- v 1.0


---
local _, L = ...;


---
L.SpecList = {

-- Warrior
	[12294] = "Arms",          		-- Mortal Strike
	[46924] = "Arms",          		-- Bladestorm
	[85388] = "Arms",          		-- Throwdown
	[85730] = "Arms",          		-- Deadly Calm
	[12328] = "Arms",          		-- Sweeping Strikes
	[60503] = "Arms",          		-- Taste for Blood
	[23694] = "Arms",          		-- Improved Hamstring
	[30069] = "Arms",          		-- Blood Frenzy (rank 1)
	[30070] = "Arms",          		-- Blood Frenzy (rank 2)
	[84584] = "Arms",          		-- Slaughter (rank 1)
	[84585] = "Arms",          		-- Slaughter (rank 2)
	[84586] = "Arms",          		-- Slaughter (rank 3)
	[65156] = "Arms",          		-- Juggernaut
	[52437] = "Arms",          		-- Sudden Death
	[57518] = "Arms",          		-- Wrecking Crew (rank 1)
	[57519] = "Arms",          		-- Wrecking Crew (rank 2)

	[12966] = "Fury",          		-- Flurry (rank 1)
	[12967] = "Fury",          		-- Flurry (rank 2)
	[12968] = "Fury",          		-- Flurry (rank 3)
	[12292] = "Fury",          		-- Death Wish
	[12880] = "Fury",          		-- Enrage (rank1)
	[14201] = "Fury",          		-- Enrage (rank2)
	[14202] = "Fury",          		-- Enrage (rank3)
	[85386] = "Fury",          		-- Die by the Sword
	[29801] = "Fury",          		-- Rampage
	[23881] = "Fury",          		-- Bloodthirst
	[56112] = "Fury",          		-- Furious Attacks
	[85738] = "Fury",          		-- Meat Cleaver (rank 1)
	[85739] = "Fury",          		-- Meat Cleaver (rank 2)
	[46916] = "Fury",          		-- Bloodsurge

	[12975] = "Protection",    		-- Last Stand
	[12809] = "Protection",    		-- Concussion Blow
	[57514] = "Protection",    		-- Bastion of Defense (rank 1)
	[57516] = "Protection",    		-- Bastion of Defense (rank 2)
	[87095] = "Protection",    		-- Thunderstruck
	[50720] = "Protection",    		-- Vigilance
	[46946] = "Protection",    		-- Safeguard (rank 1)
	[46947] = "Protection",    		-- Safeguard (rank 2)
	[50227] = "Protection",    		-- Sword and Board
	[46968] = "Protection",    		-- Shockwave
	[23922] = "Protection",    		-- Shield Slam

-- Rogue
	[1329] = "Assassination", 		-- Mutilate
	[14177] = "Assassination", 		-- Cold Blood
	[58426] = "Assassination", 		-- Overkill
	[93068] = "Assassination", 		-- Master Poisoner
	[79140] = "Assassination", 		-- Vendetta

	[13877] = "Combat",        		-- Blade Flurry
	[51690] = "Combat",        		-- Killing Spree
	[13750] = "Combat",        		-- Adrenaline Rush
	[84617] = "Combat",        		-- Revealing Strike
	[31125] = "Combat",        		-- Blade Twisting

	[36554] = "Subtlety",      		-- Shadowstep
	[51713] = "Subtlety",      		-- Shadow Dance
	[16511] = "Subtlety",      		-- Hemorrhage
	[51698] = "Subtlety",      		-- Honor Among Thieves (rank 1)
	[51700] = "Subtlety",      		-- Honor Among Thieves (rank 1)
	[51701] = "Subtlety",      		-- Honor Among Thieves (rank 1)
	[45182] = "Subtlety",      		-- Cheating Death
	[31223] = "Subtlety",      		-- Master of Subtlety

-- Death Knight
	[55233] = "Blood",         		-- Vampiric Blood
	[49222] = "Blood",         		-- Bone Shield
	[53137] = "Blood",         		-- Abomination's Might (rank 1)
	[53138] = "Blood",         		-- Abomination's Might (rank 2)

	[49203] = "Frost",         		-- Hungering Cold
	[51271] = "Frost",         		-- Pillar of Frost
	[51124] = "Frost",         		-- Killing Machine
	[59052] = "Frost",         		-- Freezing Fog
	[55610] = "Frost",         		-- Improved Icy Talons
	[50434] = "Frost",         		-- Chilblains (rank 1)
	[50435] = "Frost",         		-- Chilblains (rank 2)

	[49016] = "Unholy",        		-- Unholy Frenzy
	[91342] = "Unholy",        		-- Shadow Infusion
	[49194] = "Unholy",        		-- Unholy Blight
	[65142] = "Unholy",        		-- Ebon Plague
	[81340] = "Unholy",        		-- Sudden Doom
	[55090] = "Unholy",        		-- Scourge Strike

-- Druid
	[50288] = "Balance",       		-- Starfall
	[78675] = "Balance",       		-- Solar Beam
	[24858] = "Balance",       		-- Moonkin Form
	[24907] = "Balance",       		-- Moonkin Aura
	[61391] = "Balance",       		-- Typhoon (daze)
	[93400] = "Balance",       		-- Shooting Stars
	[48391] = "Balance",       		-- Owlkin Frenzy
	[93402] = "Balance",       		-- Sunfire
	[60433] = "Balance",       		-- Earth and Moon
	[81191] = "Balance",       		-- Lunar Shower
	[50516] = "Balance",       		-- Typhoon
	[78674] = "Balance",       		-- Starsurge

	[33878] = "Feral",         		-- Mangle (bear)
	[33876] = "Feral",         		-- Mangle (cat)
	[50334] = "Feral",         		-- Berserk
	[80951] = "Feral",         		-- Pulverize
	[61336] = "Feral",         		-- Survival Instincts
	[45334] = "Feral",         		-- Feral Charge Effect (bear)
	[49376] = "Feral",         		-- Feral Charge (cat)
	[24932] = "Feral",         		-- Leader of the Pack
	[82364] = "Feral",         		-- Brutal Impact (rank 1)
	[82365] = "Feral",         		-- Brutal Impact (rank 2)

	[18562] = "Restoration",   		-- Swiftmend
	[33891] = "Restoration",   		-- Tree of Life
	[48438] = "Restoration",   		-- Wild Growth
	[17116] = "Restoration",   		-- Nature's Swiftness
	[48504] = "Restoration",   		-- Living Seed
	[81094] = "Restoration",   		-- Revitalize
	[81093] = "Restoration",   		-- Fury of Stormrage

-- Hunter
	[19574] = "Beast_Mastery", 		-- Bestial Wrath
	[82692] = "Beast_Mastery", 		-- Focus Fire
	[53257] = "Beast_Mastery", 		-- Cobra Strikes
	[34471] = "Beast_Mastery", 		-- The Beast Within
	[75447] = "Beast_Mastery", 		-- Ferocious Inspiration
	[19577] = "Beast_Mastery", 		-- Intimidation
	[20895] = "Beast_Mastery", 		-- Spirit Bond

	[34490] = "Marksmanship",  		-- Silencing Shot
	[53209] = "Marksmanship",  		-- Chimera Shot
	[19434] = "Marksmanship",  		-- Aimed Shot
	[35101] = "Marksmanship",  		-- Concussive Barrage
	[63468] = "Marksmanship",  		-- Piercing Shots
	[19506] = "Marksmanship",  		-- Trueshot Aura
	[53230] = "Marksmanship",  		-- Rapid Recuperation Effect
	[82925] = "Marksmanship",  		-- Ready, Set, Aim...
	[83559] = "Marksmanship",  		-- Posthaste
	[88691] = "Marksmanship",  		-- Marked for Death

	[53301] = "Survival",      		-- Explosive Shot
	[3674] = "Survival",      		-- Black Arrow
	[19386] = "Survival",      		-- Wyvern Sting
	[19306] = "Survival",      		-- Counterattack
	[56453] = "Survival",      		-- Lock and Load
	[53290] = "Survival",      		-- Hunting Party
	[64418] = "Survival",      		-- Sniper Training (rank 1)
	[64419] = "Survival",      		-- Sniper Training (rank 2)
	[64420] = "Survival",      		-- Sniper Training (rank 3)

-- Mage
	[44425] = "Arcane",        		-- Arcane Barrage
	[31583] = "Arcane",        		-- Arcane Empowerment
	[12042] = "Arcane",        		-- Arcane Power
	[54646] = "Arcane",        		-- Focus Magic
	[31589] = "Arcane",        		-- Slow
	[12043] = "Arcane",        		-- Presence of Mind
	[82930] = "Arcane",        		-- Arcane Tactics
	[57529] = "Arcane",        		-- Arcane Potency (rank 1)
	[57531] = "Arcane",        		-- Arcane Potency (rank 2)
	[83098] = "Arcane",        		-- Improved Mana Gem

	[11366] = "Fire",          		-- Pyroblast
	[44457] = "Fire",          		-- Living Bomb
	[31661] = "Fire",          		-- Dragon's Breath
	[11113] = "Fire",          		-- Blast Wave
	[64851] = "Fire",          		-- Flaming Rune (rank 1)
	[64989] = "Fire",          		-- Flaming Rune (rank 2)
	[48108] = "Fire",          		-- Hot Streak
	[11129] = "Fire",          		-- Combustion

	[44572] = "Frost",         		-- Deep Freeze
	[11426] = "Frost",         		-- Ice Barrier
	[12472] = "Frost",         		-- Icy Veins
	[44544] = "Frost",         		-- Fingers of Frost
	[57761] = "Frost",         		-- Brain Freeze
	[55080] = "Frost",         		-- Shattered Barrier (rank 1)
	[83073] = "Frost",         		-- Shattered Barrier (rank 2)
	[31687] = "Frost",         		-- Summon Water Elemental

-- Paladin
	[20473] = "Holy",          		-- Holy Shock
	[31821] = "Holy",          		-- Aura Mastery
	[53563] = "Holy",          		-- Beacon of Light
	[31842] = "Holy",          		-- Divine Favor
	[85509] = "Holy",          		-- Denounce
	[53672] = "Holy",          		-- Infusion of Light
	[88819] = "Holy",          		-- Daybreak
	[85496] = "Holy",          		-- Speed of Light
	[85497] = "Holy",          		-- Speed of Light
	[20050] = "Holy",          		-- Conviction

	[31935] = "Protection",    		-- Avenger's Shield
	[63529] = "Protection",    		-- Dazed - Avenger's Shield
	[31850] = "Protection",    		-- Ardent Defender
	[70940] = "Protection",    		-- Divine Guardian
	[20178] = "Protection",    		-- Reckoning
	[26017] = "Protection",    		-- Vindication
	[20925] = "Protection",    		-- Holy Shield
	[88063] = "Protection",    		-- Guarded by the Light
	[85433] = "Protection",    		-- Sacred Duty

	[85696] = "Retribution",   		-- Zealotry
	[20066] = "Retribution",   		-- Repentance
	[59578] = "Retribution",   		-- The Art of War
	[87173] = "Retribution",   		-- Long Arm of the Law
	[68020] = "Retribution",   		-- Seal of Command
	[35395] = "Retribution",   		-- Crusader Strike
	[53385] = "Retribution",   		-- Divine Storm
	[85256] = "Retribution",   		-- Templar's Verdict

-- Priest
	[57472] = "Discipline",    		-- Renewed Hope
	[47540] = "Discipline",    		-- Penance
	[33206] = "Discipline",    		-- Pain Suppression
	[89485] = "Discipline",    		-- Inner Focus
	[10060] = "Discipline",    		-- Power Infusion
	[59888] = "Discipline",    		-- Borrowed Time
	[47753] = "Discipline",    		-- Divine Aegis
	[54704] = "Discipline",    		-- Divine Aegis
	[45241] = "Discipline",    		-- Focused Will
	[47930] = "Discipline",    		-- Grace

	[34861] = "Holy",          		-- Circle of Healing
	[88625] = "Holy",          		-- Holy Word: Chastise
	[47788] = "Holy",          		-- Guardian Spirit
	[14751] = "Holy",          		-- Chakra
	[724] = "Holy",            		-- Lightwell
	[63731] = "Holy",          		-- Serendipity
	[64128] = "Holy",          		-- Body and Soul
	[33143] = "Holy",          		-- Blessed Resilience

	[15407] = "Shadow",        		-- Mind Flay
	[47585] = "Shadow",        		-- Dispersion
	[64044] = "Shadow",        		-- Psychic Horror
	[34914] = "Shadow",        		-- Vampiric Touch
	[15487] = "Shadow",        		-- Silence
	[15286] = "Shadow",        		-- Vampiric Embrace
	[15473] = "Shadow",        		-- Shadowform
	[81292] = "Shadow",        		-- Mind Melt
	[87193] = "Shadow",        		-- Paralysis
	[87204] = "Shadow",        		-- Sin and Punishment

-- Shaman
	[51490] = "Elemental",     		-- Thunderstorm
	[61882] = "Elemental",     		-- Earthquake
	[16166] = "Elemental",     		-- Elemental Mastery
	[16246] = "Elemental",     		-- Clearcasting
	[51466] = "Elemental",     		-- Elemental Oath (rank 1)
	[51470] = "Elemental",     		-- Elemental Oath (rank 2)
	[65264] = "Elemental",     		-- Lava Flows
	[64695] = "Elemental",     		-- Earthgrab (totem)
	[77747] = "Elemental",     		-- Totemic Wrath

	[16257] = "Enchancement",  		-- Flurry (rank 1)
	[16277] = "Enchancement",  		-- Flurry (rank 2)
	[16278] = "Enchancement",  		-- Flurry (rank 3)
	[30823] = "Enchancement",  		-- Shamanistic Rage
	[17364] = "Enchancement",  		-- Stormstrike
	[63685] = "Enchancement",  		-- Freeze
	[77661] = "Enchancement",  		-- Searing Flames
	[30802] = "Enchancement",  		-- Unleashed Rage (rank 1)
	[30808] = "Enchancement",  		-- Unleashed Rage (rank 2)
	[53817] = "Enchancement",  		-- Maelstrom Weapon
	[60103] = "Enchancement",  		-- Lava Lash
	[51533] = "Enchancement",  		-- Feral Spirit

	[974] = "Restoration",     		-- Earth Shield
	[61295] = "Restoration",   		-- Riptide
	[16188] = "Restoration",   		-- Nature's Swiftness
	[16177] = "Restoration",   		-- Ancestral Fortitude (rank 1)
	[16236] = "Restoration",   		-- Ancestral Fortitude (rank 2)
	[53390] = "Restoration",   		-- Cleanse Spirit
	[51886] = "Restoration",   		-- Tidal Waves

-- Warlock
	[30108] = "Affliction",    		-- Unstable Affliction
	[48181] = "Affliction",    		-- Haunt
	[18223] = "Affliction",    		-- Curse of Exhaustion
	[60946] = "Affliction",    		-- Nightmare (rank 1)
	[60947] = "Affliction",    		-- Nightmare (rank 2)
	[64368] = "Affliction",    		-- Eradication
	[32386] = "Affliction",    		-- Shadow Embrace

	[47241] = "Demonology",    		-- Metamorphosis
	[71162] = "Demonology",    		-- Molten Core
	[93974] = "Demonology",    		-- Aura of Foreboding (roots, rank 1)
	[93987] = "Demonology",    		-- Aura of Foreboding (roots, rank 2)
	[93975] = "Demonology",    		-- Aura of Foreboding (stun, rank 1)
	[93986] = "Demonology",    		-- Aura of Foreboding (stun, rank 2)
	[63165] = "Demonology",    		-- Decimation
	[53646] = "Demonology",    		-- Demonic Pact

	[17962] = "Destruction",   		-- Conflagrate
	[50769] = "Destruction",   		-- Chaos Bolt
	[80240] = "Destruction",   		-- Bane of Havoc
	[91711] = "Destruction",   		-- Nether Ward
	[30283] = "Destruction",   		-- Shadowfury
	[29341] = "Destruction",   		-- Shadowburn
	[18118] = "Destruction",   		-- Aftermath
	[54276] = "Destruction",   		-- Backdraft
	[85421] = "Destruction",   		-- Burning Embers
	[34936] = "Destruction",   		-- Backlash
	[54371] = "Destruction",   		-- Nether Protection (Fire)
	[54372] = "Destruction",   		-- Nether Protection (Frost)
	[54370] = "Destruction",   		-- Nether Protection (Holy)
	[54375] = "Destruction",   		-- Nether Protection (Nature)
	[54374] = "Destruction",   		-- Nether Protection (Shadow)
	[54373] = "Destruction",   		-- Nether Protection (Arcane)
	[47283] = "Destruction",    		-- Empowered Imp
}


---
function L.DetectSpecIcon(spec, unit)
	local uClass; _,uClass = UnitClass(unit)
	if not UnitIsPlayer(unit) then return nil end
	if uClass == "WARRIOR" then
		if spec == "Arms" then
			return "Interface\\Icons\\Ability_warrior_savageblow"
		end
		if spec == "Fury" then
			return "Interface\\Icons\\Ability_warrior_innerrage"
		end
		if spec == "Protection" then
			return "Interface\\Icons\\Ability_warrior_defensivestance"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_warrior"
	elseif uClass == "ROGUE" then
		if spec == "Assassination" then
			return "Interface\\Icons\\ability_rogue_shadowstrikes"
		end
		if spec == "Combat" then
			return "Interface\\Icons\\ability_backstab"
		end
		if spec == "Subtlety" then
			return "Interface\\Icons\\ability_stealth"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_rogue"
	elseif uClass == "DEATHKNIGHT" then
		if spec == "Blood" then
			return "Interface\\Icons\\spell_deathknight_bloodpresence"
		end
		if spec == "Frost" then
			return "Interface\\Icons\\spell_deathknight_frostpresence"
		end
		if spec == "Unholy" then
			return "Interface\\Icons\\spell_deathknight_unholypresence"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_deathknight"
	elseif uClass == "DRUID" then
		if spec == "Balance" then
			return "Interface\\Icons\\spell_nature_starfall"
		end
		if spec == "Feral" then
			return "Interface\\Icons\\ability_racial_bearform"
		end
		if spec == "Restoration" then
			return "Interface\\Icons\\spell_nature_healingtouch"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_druid"
	elseif uClass == "HUNTER" then
		if spec == "Beast_Mastery" then
			return "Interface\\Icons\\Ability_hunter_bestialdiscipline"
		end
		if spec == "Marksmanship" then
			return "Interface\\Icons\\Ability_hunter_focusedaim"
		end
		if spec == "Survival" then
			return "Interface\\Icons\\Ability_hunter_camouflage"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_hunter"
	elseif uClass == "MAGE" then
		if spec == "Arcane" then
			return "Interface\\Icons\\spell_holy_magicalsentry"
		end
		if spec == "Fire" then
			return "Interface\\Icons\\spell_fire_firebolt02"
		end
		if spec == "Frost" then
			return "Interface\\Icons\\spell_frost_frostbolt02"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_mage"
	elseif uClass == "PALADIN" then
		if spec == "Holy" then
			return "Interface\\Icons\\spell_holy_holybolt"
		end
		if spec == "Protection" then
			return "Interface\\Icons\\Ability_paladin_shieldofthetemplar"
		end
		if spec == "Retribution" then
			return "Interface\\Icons\\spell_holy_auraoflight"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_paladin"
	elseif uClass == "PRIEST" then
		if spec == "Discipline" then
			return "Interface\\Icons\\spell_holy_powerwordshield"
		end
		if spec == "Holy" then
			return "Interface\\Icons\\spell_holy_guardianspirit"
		end
		if spec == "Shadow" then
			return "Interface\\Icons\\spell_shadow_shadowwordpain"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_priest"
	elseif uClass == "SHAMAN" then
		if spec == "Elemental" then
			return "Interface\\Icons\\spell_nature_lightning"
		end
		if spec == "Enchancement" then
			return "Interface\\Icons\\spell_nature_lightningshield"
		end
		if spec == "Restoration" then
			return "Interface\\Icons\\spell_nature_magicimmunity"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_shaman"
	elseif uClass == "WARLOCK" then
		if spec == "Affliction" then
			return "Interface\\Icons\\spell_shadow_deathcoil"
		end
		if spec == "Demonology" then
			return "Interface\\Icons\\spell_shadow_metamorphosis"
		end
		if spec == "Destruction" then
			return "Interface\\Icons\\spell_shadow_rainoffire"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_warlock"
	end
	return nil
end